
Name: akonadi
Version: 1.0.0
Release: alt0.M41.1

Group: Networking/WWW
Summary: An extensible cross-desktop storage service for PIM
Url: http://websvn.kde.org/trunk/kdesupport/akonadi
License: LGPLv2+

Source: %name-%version.tar.bz2
Patch1: akonadi-0.80.0-fix-automoc-detection.patch

BuildRequires: gcc-c++ automoc
BuildRequires: libqt4-devel >= 4.4 kde-common-devel >= 4
BuildRequires: shared-mime-info >=  0.20
BuildRequires: pkg-config cmake xsltproc

%description
An extensible cross-desktop storage service for PIM data and meta data providing
concurrent read, write, and query access.


%package common
Summary: %name common mime and dbus calls
Group: System/Libraries
Requires: %name-common = %version-%release
%description common
%name common mime and dbus calls.

%package -n libakonadiprotocolinternals
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n libakonadiprotocolinternals
%name library

%package -n libakonadiprivate
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n libakonadiprivate
%name library

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: libqt4-devel
Requires: libakonadiprotocolinternals = %version-%release
Requires: libakonadiprivate = %version-%release
Conflicts: kde4pimlibs-devel < 4.0.70
Conflicts: kde4pim-devel < 4.0.70
%description devel
Development files for %name


%prep
%setup -q
#%patch1 -p0

%build
#export PATH=%_libdir/kde4bin:$PATH
export CMAKE_LIBRARY_PATH=%_libdir
%K4cmake \
    -DINCLUDE_INSTALL_DIR=%_includedir \
    -DMYSQLD_EXECUTABLE:FILEPATH=%_sbindir/mysqld
#    -DAUTOMOC4_EXECUTABLE:FILEPATH=%_libdir/kde4bin/kde4automoc
%K4make


%install
make -C BUILD-%_target_platform DESTDIR=%buildroot install


%post -n libakonadiprotocolinternals -p %post_ldconfig
%postun -n libakonadiprotocolinternals -p %postun_ldconfig
%post -n libakonadiprivate -p %post_ldconfig
%postun -n libakonadiprivate -p %postun_ldconfig



%files
%_bindir/akonadi_control
%_bindir/akonadictl
%_bindir/akonadiserver
%_K4conf/akonadi/

%files common
%_K4dbus_interfaces/*.xml
%_K4dbus_services/org.freedesktop.Akonadi.Control.service
%_K4xdg_mime/akonadi-mime.xml

%files -n libakonadiprivate
%_libdir/libakonadiprivate.so.*

%files -n libakonadiprotocolinternals
%_libdir/libakonadiprotocolinternals.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
* Tue Sep 16 2008 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt0.M41.1
- built for M41

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt1
- new version

* Tue May 27 2008 Sergey V Turchin <zerg at altlinux dot org> 0.81.0-alt1
- new version

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 0.80.0-alt1
- initial spec
